Check a promotion's store readiness
What would stop promoting the build into the environment, blocking findings first. Only a promotion of a TestFlight build to the App Store has checks: the store readiness check an App Store upload runs (age rating questions, App Review contact details when the environment submits for review, another open submission, refusals remembered from the last submission) and whether App Store Connect has an editable App Store version for the build's version. Other environments answer with no items. Requires project read access.
get_promotion_readinessWhat would stop promoting the build into the environment, blocking findings first. Only a promotion of a TestFlight build to the App Store has checks: the store readiness check an App Store upload runs (age rating questions, App Review contact details when the environment submits for review, another open submission, refusals remembered from the last submission) and whether App Store Connect has an editable App Store version for the build's version. Other environments answer with no items. Requires project read access.
Authorization
bearer_auth In: header
Path Parameters
Project ID
Environment ID
Query Parameters
The build to promote
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/string/environments/string/readiness?build_id=string"{ "checked_at": 0, "items": [ { "code": "string", "console_url": "string", "detail": "string", "level": "ok", "remembered": true, "store": "google_play", "title": "string" } ], "pipeline_id": "string", "preflight": "auto"}